#define LAPTOP
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SanSystem
{
    static class Program
    {
        /// <summary>
        /// Der Haupteinstiegspunkt für die Anwendung.
        /// </summary>
        [STAThread]
        static void Main()
        {
            using (Dongle dongle = new Dongle(60))
            {
                if (dongle.CheckDongleVorhanden())
                {
                    dongle.CleanDongle();
                    Global.Instance.LoadLanguage();
                    Application.EnableVisualStyles();
                    Application.SetCompatibleTextRenderingDefault(false);
                    Application.Run(new frmMain());
                }
                else
                {
                    MessageBox.Show("Sorry es wurde kein Dongle gefunden!");
                    Application.Exit();
                }
            }
        }
    }
}
